using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Quadarax.Foundation.Core.Logging;

namespace qdr.fnd.core.pqueue.test.Mocks
{
    public class LoggerMock : ILogger
    {
        #region Implementation of ILogger

        /// <inheritdoc />
        public ILog GetLogger(string loggerName)
        {
            return new LogMock();
        }

        /// <inheritdoc />
        public ILog GetLogger(Type loggerForType)
        {
            return new LogMock();
        }

        #endregion
    }
}
